Welcome to Aston

Welcome to Aston Shell

Thank you for choosing Aston Shell, flexible and powerful Desktop replacement application, which lets you save your computer's resources while giving your Desktop a unique look.

Aston completely replaces your old Desktop with a new one, providing numerous additional features and saving your computer's resources for more necessary tasks. By installing Aston you acquire a lot more than just a fancy look, you get a more efficient way of using your computer.

Aston looks similar to the Desktop you're already familiar with, but its components offer much more functionality:

  • Toolbars (side panels on the left and on the right sides of the screen) give you an easy access to the documents, applications and web links you need the most.
  • Multistate Taskbar buttons let you know exactly if a certain window is active or minimized, they are also adapted to the width of the Taskbar and are thus easier to manage: no precious screen space is wasted.
  • Aston Quick launch Panel can be as small as a single button: you get an easy access to your shortcuts without turning the Taskbar into a garbage dump.
  • You can hide and restore System Tray icons with a single click or a keystroke.
    ! This feature works even under Windows 98/Me/2K.
  • Keep your Desktop clean: use the Panel plug-in to organize your files without turning the Desktop into a dumping ground.
  • Desktop icons can be of any size, any form (thanks to alpha-blending) and can be animated as well. Get rid of regular limitations!
  • Aston Disks and the Recycle Bin let you visually monitor their fill states.
  • A built-in Hotkey Manager makes your work with Aston even more pleasant and effective.
  • Much more... just install Aston and find it yourself!

Fast, solid and powerful

We've spent a lot of time polishing Aston in order to make sure it runs as fast as possible. No matter if you have a five year old PC or a powerful high-end system, Aston is always the right choice. Aston, running with its most feature packed eye candy Themes, usually consumes about half the RAM the Windows XP Desktop needs and gives you much more in return. Aston is known to be one of the most stable Windows shells ever existing. It's even far more steady than the Windows 98/Me shell.

Do you need an additional clock on your Desktop? Or maybe a weather forecast? No problem! Just activate additional Aston plug-ins and enjoy. Plug-in files are small to download and require just a few seconds to install. You can tweak any parameter of your Aston Desktop using a simple GUI interface: there is no need to read complicated manuals every time.

Ordinary Windows Themes bring only a few changes to the look of your system. Windows XP Visual Styles just decorate it a little. With Aston you'll get a fast, beautiful, reliable and easily controlled Desktop and will never wish to switch back.

Top 5 reasons to switch to Aston

Speed.

Most Desktop enhancement software tools slow down your system, consuming additional memory and processor resources. Unlike these tools, Aston completely replaces your old Desktop and releases your computer's resources for other tasks. Aston runs nicely on the systems which work with the normal Windows XP Desktop.

Reliability.

Tested extensively on numerous computers, Aston has proved to be the most stable program of this kind. It has surpassed the competing programs and even the native Windows 98 and Me Desktop in its stability.

Power.

Whether you have Windows XP or Windows 98, Aston runs smoothly on any system, providing you with additional toolbars, launch panels and other useful components, which allow you to get more control over your system.

Beauty.

Aston looks great out of the box and if you want more, you can get free Themes from our Themes section or from one of the numerous related sites. You can change the look and feel of your Desktop just with a few mouse clicks.

Flexibility.

Create your own Desktop and make it look and behave the way you like. That's the main idea behind Aston. Bind hotkeys, tweak Desktop components, instal plug-ins and never lose control over your Desktop. No wizardry here, everything is simple! Even if you're not an experienced designer or programmer, you are quite able to create your own Desktop the way you want it, not like someone else does.


Interface basics

Aston Desktop is very similar to the Desktop of Windows Explorer, which you can see right after you install Windows. Nevertheless, some Aston elements differ from the ones of Explorer. Being aware of this difference you can easily get familar with Aston and reap the benefit of its numerous advantages.

Desktop

Aston Desktop is used for placing links to files and folders (they're otherwise called icons, buttons or objects) and can also have other interface elements, created by plug-ins. Here's the list of the most vivid differences between Aston and Explorer Desktop:

  • Aston Desktop can only have links to files and folders, not files themselves. At first this might look unusual but soon you'll understand that there're better places to store the documents you need without being afraid that they can be lost on reinstalling the system. Alternatively, you can use the Panel plug-in, which helps you to organize your Desktop icons easier than ever.
  • Aston Desktop can have additional elements, created by plug-ins. For example, it can display Weather forecast, the state of system resources or have a pretty clock.
  • Destktop icons can have any shape, any size and even be animated. Actually you can even use XP-like icons with transparent areas while working with Windows 98 which could not be possible without using Aston.

Toolbars

Toolbars or three-level side panels give user ability to get immediate access to needful files, folders and Internet sites. Besides, Toolbars can contain some plug-ins (like notepad or CPU usage monitor) which further extend their abilities. Just like Aston Desktop, side panels can only have links to certain elements, not files themselves.

Toolbars are especially useful because when minimized, they do not use any screen space and they can be easily called out by placing your cursor near the screen edge. You can also make them always visible and even uncovered by other windows when it's necessary.

Taskbar

Aston Taskbar works just like the one of Explorer you've used before. Nevertheless there's some difference between them:

  • Aston Taskbar buttons have the maximum possible width which makes their usage even more intuitive.
  • Task buttons can have three different states, clearly demonstrating window's state: active, minimized or inactive.
  • System Tray area can be configured to display only currently needed icons. Such a function has appeared in Windows XP but with Aston you can use it even while working with the previous versions of Windows.
  • Quick laucn menu can be as small as a single button which does notably save space on the Taskbar.
  • Aston Taskbar cannot display additional modules, used by Explorer (like Google Deskbar), but it can have elements, created by plug-ins.
  • Instead of the boring welcome message Aston displays for you a random "Tip of the day", which can be replaced by your own text.

Start Menu

There're is not much difference between Aston Start Menu and the Main Menu you've used in Windows Explorer. The most sharp distinction of Aston menu is the possibility of its complete reconfiguration, which makes it easier for you to access the elements you need. By default Aston Main menu contains these items:

  • Programs folder contains the list of installed application.
  • My Recent Docs folder - the list of recently accessed documents.
  • Desktop folder gives you a quick access to Explorer Desktop folder.
  • Settings folder lets you access Control Panel items and some service folders.
  • Aston Options - Aston configuration master.
  • Theme Wizard - an application, which lets you apply and compile themes.
  • Shell swapper, which is used to switch between Aston and Explorer.
  • Run menu.
  • Logoff logs off the current user.
  • Shutdown - switching computer off menu.

Other interface elements

Depending on the theme applied and the program preferences, Aston can use additional interface elements, created by plug-ins. Let's list some of them:

  • Analog clock with a wide range of available appearances and options.
  • Panel is usually used to organize Desktop icons. Such an approach lets you use available Desktop space more efficiently..
  • Recycle bin. Just like the one of Windows Explorer, the Recycle bin is used for restoration of the accidentally removed files and folders. Aston Recycle bin can have any number of intermediate states, (not just "empty/full") which lets you easily estimate the state of its infill by just looking at its icon.
  • Disks. Icons of logical disks visually indicate the state of their infill and let you access the corresponding volumes.


Technical Requirements

Aston Shell is a very resource friendly application.
In order to install and use it your computer must have at least the following configuration:

  • Pentium I/AMD K-5 or better processor
  • 16 Mb of RAM
  • Video card, supporting high color mode (support for True Color is highly recommended) and at least 800x600 resolution
  • Monitor, with resolution of 800x600 px and higher
  • Windows 98 (Windows 2000/XP is recommended)
  • Keyboard
  • Mouse (for comfortable use)

Generally, any computer, capable of running Windows 98 and higher can run Aston without any noticeable delays. Nevertheless the owners of modern computers running Windows XP can take advantage of some additional features.


Version history

Aston Shell version history

Aston 1.9.6

  • + Improved Windows Vista support
  • + Increased stability and performance
  • + Improved support for multimonitor system
  • * Fixed bug with shutdown and recycle options
  • * Fixed bug with Aston2 Menu start
  • * Fixed bugs in DiskEx, Recycle bin, Panel and Nettrafic plug-ins
  • * Fixed bug with plug-ins setting
  • * Fixed bug with shells switching
  • * Fixed bug with the installation in Windows Vista
  • * Fixed bug with the folders displaying in the Main Menu
  • * Fixed bug with the item paths
  • * Fixed bug with the new desktop elements coordinates

Aston 1.9.5

  • + Recyñle bin plug-in is re-written anew
  • + Icons can now be deleted from the desktop to the recycle bin
  • + New AltDesk control plug-in is added into the distributives
  • + "Run as..." option is added to the context menus.
  • * Fixed bug: error shell swapping
  • * Fixed bug: error the themes application.
  • * Fixed bug: trouble with installation in Windows Vista.
  • * Fixed bug: error with the context menu items under Windows Vista.
  • * Fixed bug: error in Search plug-in.
  • * Fixed bug: error in DiskEx plug-in.
  • * Fixed bug: error with the icons displaying in the tray.

Aston 1.9.4

  • + Aston now supports AltDesk "Individual set of icons for each desktop"
  • + When placing an icon of a picture to the desktop, the picture itself is not opened
  • + Shell stability is increased. Now the shell will not crash even in case there is a mistake in some of the plug-ins.
  • + Event option is added to the Calendar. It lets you to create a reminder about some occasion for a certain date.
  • + Panel plug-in is completely rewritten anew - now you can add elements to categories by means of Drag&Drop, move the Panel while holding Shift button pressed, open categories up, and so on.
  • * Fixed bug: previews error in Win2000 - now previews don't cause Aston crash
  • * Fixed bug: error on context menu call for some plug-ins.
  • * Fixed bug: tray hints were sometimes displayed incorrectly (flickering effect on displaying hints)
  • * Lots of fixed bugs in Search, Main Menu, DiskEx and SkinClckEx plug-ins

Aston 1.9.3

  • ! Vista support
  • + New Aston RSS reader plug-in is added
  • + Theme Wizard is described in the documentation
  • + .ani files are supported in .ankz
  • + Themes are now extracted to the same directory where configuration files are located.
  • + Calendar plug-in now has Z-order
  • + Creation and editing of .ank and .ankz files is significantly simplified via "Edit element" dialog
  • + Recycle option is available again in the desktop context menu, optionally enabled
    • Fixed bug with multimonitor support
  • * Fixed bug in MS Excel task support
  • * Apps, which place their icons to the tray, are now visible in the tray (have "Always show" status by default)
  • * Fixed bug with .atz file creation
  • * Fixed bug with the profile creation
  • * Fixed bugs in AstAmp
  • * Fixed bug in APC files loading
  • * Fixed bug in .ank files saving
  • * Fixed bugs in Panel plug-in
  • * Fixed bug with the tray icons hits display

Aston 1.9.2

  • ! Multimonitor support (you can place different wallpapers and icons on all monitors)
  • + A-Master's GUI is rewritten to be even more logical and easy to use
  • + Theme Wizard is 90% rewritten anew, featuring new Theme selection and compiling dialogs
  • + New default Themes
  • + Support for compiled Themes in ATZ format
  • + Completely new documentation, created from the scratch
  • + New Theming tutorial, reflecting the most recent changes in Aston skinning
  • + Redesigned plug-in configuration: now supports tabs, has a way more logical config structure
  • + Most default plug-ins are updated
  • + New resource type supported: 3pic (two flanks, a middle part plus glass)
  • + New resource type supported: ANKz: zipped ANK files plus all required images
  • + Tray clock plug-in now has a build-in calendar
  • + New search plug-in, supporting a variety of search engines (the list is updated online)
  • + Tray can be tuned to Explorer XP-like behaviour
  • + More logical overall Tray behavior
  • + Tray can automatically restore on mouse over
  • + Taskbar supports 3PICs, added icon offset
  • + Main menu supports 3PICs, footers, headers, glass effects plus has more options for Theme creators
  • + Start button supports ANK animation
  • + Task previews
  • + Dragging icons with SHIFT pressed displays coordinates
  • + Option for global transparency disabling (troubleshooting)
  • + Fast config edit buttons
  • * Lots of bugfixes (too many for listing here)
  • * Lots of small tweaks (too many for listing here)

Aston 1.9.1

  • + New plugin the "DisksEx", a successor to the "Disks".
  • + New plugin the "Panel", a successor to the "Toppanel".
  • + New plugin the "RecycleBinEx".
  • + New default Theme included.
  • + The Aston icon in system tray is now skinnable and removable.
  • + Added word wrap option for the Notebook plugin.
  • * Improved plugins' skin settings.
  • * Plugins folder is now opened by default when adding new plugin in the A-master.
  • * Fonts folder is now opened by default when adding new Font in the Theme Wizard.
  • * Fixed bug when saving an AltDesk skin within Aston Theme.
  • * Recommended resolution is put into comments when saving a Theme.
  • * Fixed bug with reading icons for removable devices in the TopPanel and the VertPanel.
  • * Fixed bug with an error message when removing discs from CD-ROM.
  • * Fixed bug with rebuilding icons in the Theme Wizard.
  • * Fixed bug with mouse sensitivity adjustment in the A-master.
  • * Fixed bug when displaying a Desktop icon whilst dragging.
  • * Fixed bug when displaying folder names with dot symbol.
  • * Fixed bug when saving Themes in the Theme Wizard.
  • * Fixed bug with load default skin in AClock.

Aston 1.9

  • + Support for PNG and alpha blending (not only in 2K/XP).
  • + Support for 32 bit icons with alpha channel.
  • * Taskbar border is removed (with disabled Autohide and enabled Lock taskbar option).
  • * Taskbar icons in Windows XP now have transparent background.
  • + "Native" shadows for text in Windows XP (optional).
  • * Fixed bug with reading ANK files.
  • * Fixed bug with drag'n'drop to the Quick launch plugin.
  • + Better support for multimedia keyboards.
  • + Improved autorun for CD/DVD in Windows 2K/XP, new autorun.plg plugin for Windows NT/9X/ME.
  • + Autostart is disabled while booting in safe mode.
  • * Improved work of context menu in the Main menu plugin.
  • + New options for the notebook.plg:
    Print & PageSetup commands;
    user can set an icon for toolbar item.
  • * Fixed display/configuration bugs in the vert/top panel plugins.
  • + New analog clock plugin with numerous advanced features like layered display, date display, new antialiased hands, shadows, "ghost mode", etc... (read plugin's documentation for more info).
  • + Themes are now sorted by names.
  • + Current Theme is highlighted.
  • * Fixed bug with adding fonts.
  • + AltDesk skin can be saved within Themes now.
  • * Fixed bug with negative coordinates in plugin's settings.
  • + Tooltips for all elements.
  • + New features to save/load settings and skins of any standalone plugin.

Aston 1.8.2

  • ! Significantly increased stability (bugfixes: more bugs than you can shake at a giant baobab ;)).
  • + New Shell Swapper:
  • + New option: "Install the shell for All Users or for Current User only".
  • + Shell Swapper can be used as the shell.
  • + Aston startup modes (to protect Aston from errors that occur if Explorer or IE extensions are used).
  • + Shell Swapper can restore system colors, cursors, icons etc when switching the shell.
  • * Fixed: slow logoff in XP.
  • + Added new plug-in "VertPanel".
  • + Added new option: "Autoload from registry" (enables/disables autoload from registry - now you don't have to hold down to prevent autoload).
  • + Added new option: "Loading shell objects".
  • + New "Icon offset" option (for toolbars).
  • * New "find files" algorithm (more stable).
  • * Fixed: GPF during "Recycle" if there is an open any plug-in menu.
  • * Fixed: some tray icons are missed at startup.
  • * Fixed errors in "TopPanel" plugin.
  • * Some improvements in "TopPanel" plugin.
  • * Fixed: zero divide error and CPU usage histogram errors in CPU95nt plug-in.
  • + Some improvements for Zoom (now you can setup zoom screen refresh timer; it properly shows transparent apps in Win 2K/XP).
  • + Some improvements for ClipView (it supports new formats - CF_OWNERDISPLAY, CF_HDROP (files); tooltip shows text when CF_TEXT format is available).
  • + New significant features in Notebook (up to 7 sheets with changeable names, icons; password protection for each sheet (AES algorithm); read only mode).
  • * New "Icon" option for Terminator2 plugin.
  • * Fixed: memory leak error in QuickLaunch.
  • * Fixed: memory leak error in DeskPanel; icons positions error.
  • * Fixed: stretched wallpapers error in 256 colors screen mode.
  • * Fixed: 3 GPF at Aston exit.
  • * Fixed: toolbars disappear when fullscreen windows aren't open.
  • * Fixed: sometimes Thwizard doesn't save toolbar caption properly.
  • * Fixed: Thwizard doesn't save control panel icon properly.
  • * Fixed: some A-master errors.
  • * Fixed: user can't launch system folders in Win95 + Win98 (except SE).

Aston 1.8.1?

  • * Fixed bug: the "Panel caption" option doesn't work.
  • * Fixed bug with Y-position of toolbars.
  • * Fixed bug in the "Element's editing" dialog.
  • * Fixed bug with Theme Wizard with theme creation.
  • * Fixed bug: smetimes a little CPU overloading.

What's new in version 1.8?

  • + Added: new advanced ANK format for animated icons!!!
  • + Added anim files support.
  • + A-Master's appearance changed.
  • + Added new plug-in "TopPanel".
  • + Added skins for toolbars' captions.
  • + Added new options "Lock Taskbar".
  • + Added context menu setup.
  • + Added: font type setup for "Tip of the Day".
  • + Added "Panel on the top" and "Smooth toolbar appearance" settings are can be different for different toolbars
  • + In Win XP/2000, configuration files can be kept in "...\Documents and Settings\%UserName%\Application Data\Aston\" folder to support local and roaming profiles.
  • * Fixed bugs in SHDOCTOR.
  • * Fixed bugs in "Quick launch" panel.
  • * Fixed bug in "Setup tray icons" dialog.
  • * Fixed bugs with Theme Wizard with theme creation.
  • * Fixed bug in Main Menu.

Aston 1.7

  • + Added: support for jpg files (directly, without converting to bmp).
  • + Added: the "Setup tray icons" command.
  • + Added: the "Task manager" command to context menu of taskbar (in Win NT/2000/XP).
  • + Now you can drag'n'drop icons to the "Quick launch" panel.
  • + Added: new "Hint format" option for the "Taskbar clock".
  • * Fixed: disappearance of icons when change the screen mode.
  • * Improved algorithm of wallpaper's stretching.
  • * Fixed bug with the "PopupFolder" menu command.
  • * Fixed bugs in "Quick launch" panel.
  • * Fixed bug with non-rectangular shape of toolbars.
  • * Fixed bug with copying of desktop elements.
  • * Fixed: flickers applying the theme.
  • + Added: tooltips in "Toolbar's setup" dialog.
  • + Improved most of plug-ins.

Aston 1.6.2

  • * Fixed bug: the "stretch skin" option doesn't work in the "Quick launch" panel.
  • * Creation of shortcuts for the directories is improved.
  • * Fixed bug: during loading, ..\windows\system folder pops up on the screen.
  • + Added: the "Network connections" dialog in Win XP.
  • * Fixed bug: invalid options cause a crash in the "Theme wizard".
  • * Fixed bug with installation of the fonts from a theme in Win XP.
  • * Fixed bug with extracting of an icon from the UPX-executable files.

Aston 1.6

  • + Transparency for the menu, taskbar, toolbars in Win2k/XP.
  • + New options for the main menu and tasbar.
  • + Now, the "StayOnTop" option separate for taskbar and toolbars.
  • * Fixed bugs with applications' autoload from the registry, the "RunOnceEx" key is now supported (important for IE setup and Windows Update).
  • * Fixed bug with transparency in notebook.
  • + New context menu for the desktop elements.
  • * Fixed bug with "Computers' find" in Win NT4, Win98.
  • * Fixed bug with "application toolbars" in Win XP.
  • + Assigned font for the "tip of the day".
  • * Fixed bugs with some applications: ZoneAlarm, 602 office, "multimedia keyboard" utility.
  • * Fixed bug in "Popup folder" with long filename.
  • + Added new utility SHDOCTOR, which can easy prevent "shell not found" problem in Win9x/ME.
  • * Fixed bugs with Theme Wizard with theme creation and removal.
  • + 256-colors video modes are now supported.
  • + Now, "Recyle bin" icon renews automatically in Win 98, (and NT4, Win 95 with IE 4.0 or later).
  • + Keyboard layout indicator is now supported XP.
  • * Fixed bug: the taskbar covers up the portion of screen in "Half-Life".
  • * Fixed bug with drag'n'drop in main menu setup.
  • * Fixed bug with "Cut" - "Cancel" in setup.
  • * Fixed bug with wallpapers' setup.

Aston 1.5

  • + Added new powerful "Theme Wizard" (instead of "Theme Creator" and "Theme Manager").
  • + No 10 elements limitation in the trial version.
  • + New nice interface, Win XP visual style.
  • + Built-in themes are replaced.
  • + Added new MenuEx.plg (instead of LsMenu & Menu97).
  • + Added *.ICL-files support!
  • + Added "Network Connection Status" support (Win 2000, XP). Rasmon.exe was removed.
  • + The "Start" button can be in a three states.
  • + Added the shadows for icon's text.
  • + Users can create the own profiles.
  • + Added new "Lock" option for the icons on desktop.
  • * Fixed _nasty_ bug with icon's overlay image
  • + Added Windows icons customization.
  • + New button "Edit tips.rc".
  • + Added new commands: "Lock Workstation" ("Switch User" in XP), "Show/hide tray icons".
  • + Added new menu commands: Popup Contol Panel, Popup Desktop.
  • + Now Aston's setup will create the default theme, which can be used at uninstall.
  • * Fixed bug: logon delay in Win XP.
  • * Fixed bug in PrintMon.
  • * Fixed several bugs in Shell Swapper.
  • * Fixed bug with drag & drop on the desktop.
  • * Fixed bug with icon's offset setup.
  • * Fixed bug with hidden explorers in NT4.
  • + Remaked nearly all the plug-ins, improved their functionality (especially, Quick Launch, Terminator, Mail Checker).
  • * Fixed bug with the "Minimize all" button in the quick launch.

Aston 1.4

  • + Support for Windows ME/XP added.
  • + "Files find" dialog is able to call with Win ME/2000/XP.
  • + "Computer search" dialog is able to call with Win ME/2000/XP.
  • + "Fonts", "Network Neighborhood" and "Printers" folders are accessible with Win ME/2000/XP.
  • * Some bug with tray icons fixed (Win XP).
  • + Folders can be opened using Win ME/2000/XP command prompt.
  • * Some bug with IE fullscreen fixed.
  • + TaskManager's "Hide when minimized" option is now works with Win 2000/XP.
  • + "Win" key now calls main menu (Win 2000/XP).
  • + CPU monitor supports new AMD processors.
  • + Options to turn off left/right toolbar added.
  • + In Notebook plug-in: Ctrl+A hotkey added ("Select All").
  • + Recycle Bin, CD-DISK icons renews automatically (Win ME/2000/XP).

Aston 1.2.6

  • + Added command "Empty recycle bin" to context menu of recycle bin.
  • * Fixed bug with Shell Swapper in Win ME.
  • * Fixed bug with "Dialup Networking" dialog in Win2000.
  • * Fixed bug with Audio CD autorun.
  • * Fixed bug with selecting wallpapers in win2000
  • * Fixed bug with very long tooltips.
  • + Improved setup of toolbars.

Aston 1.2.5

  • + Added import explorer icons into Aston.
  • + Added context menu for Start button.
  • + Added context menu for Main Menu items (Win98,2000 only).
  • + Added setting for icons offset in toolbars.
  • * Fixed bug: taskbar over fullscreen apps.
  • * Fixed bug with applications' autoload from registry.
  • * Fixed bug in Main Menu with empty first item.
  • * Changed algorithm of loading *.bmp (RLE4,8) files.

Aston 1.2.4

  • + Added network connections monitor for Win2000.
  • * Quick launch panel changed, so it resizes automatically depending to icons' quantity.
  • * Fixed bug in Printmon.
  • * Enhanced hotkey control.

Aston 1.2.3

  • + Now, WIN key can be used in any hotkeys setting.
  • * Fixed bug with toolbars appearance.
  • * Fixed bug in "Wallpaper Changer" plug-in.
  • * Changed plug-ins API format, please download new versions of all plug-ins.

Aston 1.2.2

  • * Fixed bug with ICQ startup.
  • * Found bug in Corel Draw (cause a crash) and we made patch for it.
  • * Fixed bug with executing any *.html files from the local disks in Win2000.
  • + Added support for Win2000 systray.
  • * Changed user interface of Theme Creator.
  • + CPU monitor supports more than one processor in WinNT/2000.
  • + Added new plug-in - Wallpaper Changer.

Aston 1.2.1

  • * Fixed bug with long filenames in plug-ins section.

Aston version 1.2

  • + Added: skin on Taskbar and Systray.
  • + Added: partial support for *.scf files.
  • + Added: support for "MacVision" shell.
  • + Added: double click on taskbar clock show the dialog of adjusting the date and time.
  • + Enhanced functional possibilities.
  • + Enhanced support for DDE.
  • + Vastly raised stability (added: explorer-like exception handler).
  • + shswdos.exe - now works at quick computers.
  • * Changed: algorithm of work with *.ani files (prevents from error on some video cards).
  • + In themes possible to include *.jpg files as wallpaper.
  • + In themes possible to include the plug-ins' configuration information, system colors and cursors.


About Aston

About

Aston Shell is a software product, developed by Gladiators Software company, Russia.

Authors and assistants:

  • Programming: Oleg Bulychov, Nick Egorov
  • Graphics: Dmitry Prosvirnin, Alexander Zhelonin
  • Technical documentation: Taras Brizitsky, Nicholas Novikov, Kseniya Luckacher
  • Technical support: Kseniya Luckacher
  • Additional support: Nikita Evgenov, Dmitry Sukhodeev, D.L. Olesch-Williams, Roman Osadchy and others

Contact Information

If you have any question regarding our product or face any problems when using it, we're always glad to help. Contact us for technical support.

Remember that registered users are supported first, so please do not forget to include your registration name and the order number in your e-mail message.

Creative Commons BY-NC-SA 2.4 License This help file is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike2.5 License.
To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-sa/2.5/
or send a letter to Creative Commons, 543 Howard Street, 5th Floor, San Francisco, California, 94105, USA.


Element' editing

Element's editing

You can easily set the properties of an icon or a button on the Desktop, a toolbar or the panel with a right-button mouse click:

  • Hint is a brief description of the element. The hint text is usually displayed next to the element icon.
  • Application is a path to the file being launched and URL for net resources.
  • Work directory: program's working catalogue.
    ! Leave the section void if you are not aware of its purpose.
  • Object type points out which action will be undertaken at launching. You may choose any element suitable from the list.
  • Window state: launched object's window state (minimized, maximized or default).
  • Consider the shape: if the option is active, objects shapes will be taken into consideration at launching. For example, a circle-shaped object activation is possible only if you have clicked on the circle, not next to or inside it.
  • Main icon is the icon for the inactive state of the object. The + button next to it significantly simplifies .ank and .ankz files creation and editing. If you already have a such a file for the main icon, press on this button to edit it. In order to create a new one, press the plus, enter the name you would like to give you file to, select whether its extension should be .ank or .ankz, and define all the necessary settings for every button state. In order to learn more about .ank and .ankz creation, please refer to Aston Shell skinning tutorial.
  • Highlighted icon is the icon displayed when the mouse cursor is poited to the object.
  • Pressed icon is the icon displayed when the object is clicked.

    • ! If the Main icon contains a path to .ank or .ankz file, Highlighted icon and Pressed icon fields will be inactive, since these two icon states are already set in the .ank/.ankz file.

  • HotKey is a key combination used to call out the object.
  • X, Y are the object coordinates (in pixels), which are used to define the exact position.
  • Themes element: if the option is enabled, the object is considered an element of the current theme and will vanish, when the theme is changed.
  • Lock: if this option is enabled, the object cannot be moved. This can be helpful if you don't want the element to be accidentally shifted.


Program setup

Program configuration is made by using Aston Options (Start>Aston Options, Ctrl+Alt+F12).
It's also possible to set up each element by right-clicking on it and calling out its context menu.

! This program is used to configure and fine-tune Aston, and to create/edit Themes.
In order to get more detailed information about Theme creation, texture formats, etc, refer to our online tutorial.

Boot configuration

Autoload from "Startup" folder

Enables or disables the automatic start of programs from the Autorun (Start>Programs>Autorun) folder.

Autoload from Windows Registry

Permits or blocks programs from starting from the autorun sections of Windows registry.

Autoload shell objects

Automatical load of shell objects can help to solve some problems which might occur at startup. You may also need to check this option if you don't see network connections in your Tray area.

Autoload from Win.ini

Permits or blocks applications from starting from autorun Win.ini

Disable transparency for all elements

Enable this option if you want to switch off transparensy completely. This is very convenient in case your video player (TV tuner, game) works incorrectly with transparency enabled.

Show keyboard layout indicator

When using multiple keyboard layouts (like both Russian and English), the keyboard indicator allows one to know what layout is being active at a certain moment. Disable this option if you're using third-party keyboard layout indicators.

Path to configuration files (aston.rc and plugins.rc)

This field provides the infor about your configuration files location.

Taskbar

Taskbar size

Taskbar scale value. Set

0 to disable Taskbar
1 to set it to the default size
2 to get double Taskbar
3 to get tripple Taskbar
etc...

    Position

    Taskbar position: At the bottom, On top, On the left or On the right.

    Taskbar height

    Taskbar height in pixels. This value is usually set when making a theme.

    Icon offset

    Icon offset for task buttons relative to the left edge of task buttons.

    AutoHide

    Enable this option to hide Taskbar automatically when not using it. This can be helpful when working on computers with small screen resolution.

    Taskbar on top of all windows

    Taskbar, set on top of all windows, will not be overlapped by them so you will always have access to it.

    Smooth Taskbar emerging/hiding

    Smooth Taskbar sliding in/out with animation effects when AutoHide option is enabled.

    Minimize the active task by the left click on its Taskbar button

    When this option is enabled you can minimize/restore any window by clicking its Taskbar button.

    Show hints if the text fits the button size

    When pointing a Taskbar button, hints (tooltips) will be displayed, even if the task name fully fits the button width.

    No bevels on tasks

    Disabling Taskbar bevels can slightly improve its appearance.

    Disable animation on minimizing/restoring

    This option lets you disable animation effects on windows' minimizing and restoring.

    Lock Taskbar size

    Locking the size of Taskbar gives you an opportunity to avoid changing its size by accident.
    ! When necessary, you can adjust this size by changing the corresponding parameter in Taskbar>Taskbar size.

    Taskbar transparency

    Taskbar transparency level.
    ! Windows 2000/XP and above only.

    Taskbar>Textures

    Active task

    Active task's texture and the color of the text, displayed on top of this texture.

    Inactive task

    Inactive (background) task's texture and the color of the text, displayed on top of this texture.

    Minimized task

    Minimized task's texture and the color of the text, displayed on top of this texture.

    Empty Taskbar skin

    Empty Taskbar's texture (when it has no buttons on it) and the way of its imposition.

    Tray skin

    Tray area's texture and the way of its imposition.

    Taskbar>Taskbar font properties

    Skinless Taskbar color

    Taskbar's default color of the text, used for areas, not covered with a texture.
    ! It is never displayed if a properly impositioned texture is used.

    Tips of the day color

    Default color for the text, displayed on the Taskbar (only used for displaying "tips of the day" from Tips.rc).

    Skinless Tray color

    Default color for Tray areas, not covered with any texture.
    ! It is never displayed if a properly impositioned texture is being used.

    Active task label's font

    Font parameters, used for the text, displayed on the active Taskbar button's text (usually a window title).

    Inactive task label's font

    Font parameters, used for the text, displayed on an inactive Taskbar button's text (usually a window title).

    Minimized task label's font

    Font parameters, used for the text, displayed on a minimized Taskbar button's text (usually a window title).

    Tips font

    Font parameters, used for displaying "tips of the day".

    Taskbar>Start Button

    Normal

    Start button texture, displayed when the button is inactive.

    Highlighted

    Texture, displayed when the cursor is positioned above the Start button.

    Pressed

    Texture, displayed when the Start button is pressed.

    Taskbar>Systray

    Position

    Tray position on the Taskbar: Right (Bottom) or Left (Top).

    Tray icons size

    Size (in pixels) of icons, displayed in the System Tray. I.e. 16 corresponds to 16x16 pixel icons.
    ! With values, different from 8, 16, 24, 32 and 48 most applications' icons will be displayed distorted. 16 is the most common recommended value.

    Setup tray icons

    Setup tray icons calls out a dialogue which lets you point which icons are to be displayed when the Tray area is minimized/maximized.
    ! Aston System Tray area can be minimized for rarely used icons not to be displayed 'till it is maximized.

    AutoHide/Show Tray icons

    If enabled, Tray is minimized after a period of time, set by the AutoHide delay value. It also maximizes when you move your pointer over it.

    AutoHide delay

    Time (in seconds) passed from moving the cursor away from Aston icon in the Tray to the Tray minimizing (if AutoHide option is turned on).

    Click Aston icon to maximize/minimize Tray

    Enabling this option lets you minimize/maximize Tray area by clicking Aston button, located in the Tray area.

    Disable Aston Tray icon

    Enable this option to hide Aston button, located near the Tray area. This prevents you from minimizing Tray by accident with the mouse click.
    ! When enabled, minimizing/maximizing Tray is possible only with a key combination.

    Maximized Tray icon

    You can replace Aston button image with your own one. It will be displayed when the Tray area is maximized.

    Minimized Tray icon

    You can replace Aston button image with your own one. It will be displayed when the Tray area is minimized.

    Main menu

    In this window you can set up the Start menu root elements. You can add/remove items, change their icons, names and other existing parameters. Place your cursor over any Toolbar button to learn its meaning.

    Left (Right) toolbar

    Toolbar setup dialog allows to easily customize Toolbars according to your needs. Use the Toolbar to add/remove or modify elements. Place cursor over any item to learn its meaning. You can also move the existing elements by means of Drag and Drop.
    Toolbar items can be links to files, folders, URLs and Toolbar plug-ins (with TBP extension). In order to add a plug-in item you should create a new element with the following properties:

    • Application: the correct path to the TBP file.
    • Object type: plug-in.
    Left (Right) toolbar>Settings

    Disable Toolbar

    By checking this box you can disable the Toolbar. Disabled Toolbar won't be displayed on the screen and access to it will be blocked until you enable it again.

    AutoHide Toolbar

    This option lets you automatically hide inactive Toolbar from the screen. It will remain hidden untill you move your cursor to its position at the edge of the screen.

    Toolbar is on top of all windows

    When checked, Toolbar is displayed on top of all windows. This option is especially useful when AutoHide is set on.

    Toolbar caption

    With the help of this option you can enable or disable the Toolbar caption.
    ! Caption gives you an easy access to Toolbar options (by means of popup menu), and clicking it minimizes/restores Toolbars.

    Toolbars limit screen space

    When enabled, the screen area, taken by Toolbars, turns inaccessible for windows. Use this option if you need constant access to your Toolbar items.

    Smooth Toolbar emerging/hiding

    Enabling this option turns on smooth animation when showing/hiding Toolbars.

    Toolbar skin

    Texture, used for Toolbar elements.

    Toolbar caption skin

    Toolbar caption texture.

    Toolbar element size

    Width and Height (in pixels) of a single Toolbar item.

    Vertical coordinate

    Vertical Toolbar coordinate (in pixels). This value can be used for precise positioning of Toobars.

    Toolbar transparency

    Toolbar transparency level.
    ! Windows 2000/XP and above only.

    Left (Right) Toolbar>Icons offset

    This dialog allows you to precisely align Toolbar icons position for each of the three levels, using simple visual interface. By pressing arrows you can move the icon one pixel in the needful direction and X resets its position to the center of the image. Clicked and highlighted icons' offset value indicates the "depth" when you place your cursor over the button and press it.
    ! With Clicked and highlighted icons' offset value set to zero, Toolbar icons will not be displaced on clicking and hovering.

    Desktop

    This window has a complete set of items, placed on your Aston Desktop (excluding elements, created by plug-ins). With its help you can add new elements, change the existing ones and also temporarily disable certain elements.
    Place your pointer over any Toolbar item to learn more about its functions.
    ! By right-clicking your mouse you can call out the context menu which allows you to create new elements of a certain type or modify an existing element.

    Desktop>Settings

    Lock/Unlock

    You can centrally control the blocking of all your Desktop items. In order to do it you should select the range of elements (All elements, Current Theme elements only or Excluding current Theme elements) and press the Lock button to block the selected group of elements or Unlock to release it.
    ! You may move locked items by holding Shift while dragging them.

    Icon labels' transparent background

    By enabling this option you make all iconlabels' background transparent (invisible), which enhances overall look of your Desktop.

    Doubleclick icons to start objects

    When enabled, you'll be able to activate your Desktop elements (icons) only by double-clicking them (otherwise - by a single click).

    Highlighting for focused icons

    With highlighting enabled, objects will react on mouse pointer by changing their appearance, which lets one easily distinguish them from background elements and decorations.
    ! Note, that with highlighting disabled most elements won't change their appearance on mouse over.

    Shadows

    When Shadows option is enabled, icons will have shadows which makes them look as if their label texts were three-dimensional.

    Native XP shadows

    This options lets you switch between the algorithm of shadow generation used in Aston and in Windows XP. Generally Aston creates sharper shadows but you might prefer the XP style.
    ! Windows XP only.

    Show cursor

    When enabled, cursor is displayed when objects are moved (otherwise only the object itself is visible).
    ! While dragging objects, holding Shift displays exact object's coordinates in pixels, which might be useful for precise positioning.

    Icons' displace threshold

    Icons' displace threshold is a minimal distance (in pixels) to displace cursor in order to move an object. Moving objects (with one's mouse) for distances, less than the defined value, will be impossible.
    ! This option is used to prevent moving unlocked icons by accident.

    Get Explorer icons

    Click this button to add icons from Windows Explorer Desktop folder to Aston Desktop.

    Arrange icons by...

    It's a good idea to use this option when you have a large number of icons on your Desktop. You can select one of these values:

    • by Width: to arrange icons by width.
    • by Name (a..z): to arrange icons by their labels' text (alphabetic order).
    • by Name (z..a): to arrange icons by their labels' text (reversed order).
    • by Size: to arrange icons by their size.
    • by Grid: to align icon positions, making them more organized.
    Desktop>Icons labels' font

    Icon labels font

    Default properties of the font, used to display icon labels.

    Icon label

    Color of the text, used for icon labels in their normal state.

    Selected icon's label

    Color of the text, used for icon labels when the icon is selected.

    Highlighted icon's label

    Color of the text, used for icon labels when you point the cursor over it.

    Labels shadows

    Color of the shadows, drawn under the icon labels.
    ! Shadows are only visible if you enable them by checking the Desktop>Settings>Shadows option.

    Desktop>Wallpaper

    This dialog allows you to define the background picture for Aston Desktop.

    You can Add, Remove, preview and select any background from the list.

    Size displays the exact resolution (in pixels) of the selected wallpaper.

    Tile, Center and Stretch buttons help one to define the way Wallpaper is arranged on the Desktop.

    Plug-ins

    In the plug-ins window one can see the complete list of installed plug-ins, get access to their Properties and also dynamically turn them on and off.

    Plug-in

    The Plug-in field displays the full path to the installed module and also lets you dynamically turn it on and off (by clicking the checkbox).

    Description

    Module name and version.

    Add

    Press this button to install a plug-in. Installed plug-in will be automatically added to the list.

    Delete

    Removes a plug-in from the list and disables it.

    Properties

    Pressing the Properties button calls out the properties dialog for the selected plug-in:

    • Description: the detailed plug-in description.
    • Path: the compete path to the plug-in.
    • Theme element: when active, the plug-in is considered a part of the Theme and all of its settings are stored within the Theme.
    • Enable/Disable: lets one dynamically turn the plug-in on and off.

    Setup plug-in

    Calls out the plug-in setup dialog.
    ! This dialog is unique for each plug-in.

    Hotkeys

    Most actions within Aston can be done by means of hotkeys. Using them you can greatly decrease the time taken by some operations.
    ! Hotkeys, defined in this dialog, are global, i.e. let you perfrom certain actions no matter what task is being active currently.
    In order to avoid conflicts with some third-party applications we don't recommend using common key combinations like     Ctrl+S, Ctrl+V, Ctrl+P etc. In order to get the complete list of commonly used hotkeys, please, refer to Windows documentations and other sources.

    Outwardly this dialog is similar to the plug-in setup dialog. You'll also have to deal with a list of items, and each of its elements can be turned on and off at any moment.

    Keys

    Key combinations, defined to perform certain actions. You can switch them on and off by means of checkboxes.

    Action

    Description of the action, run by this hotkey.

    Add

    Registration of a new action, performed with a hotkey:

    • Application: link to the file or the document, run by this hotkey.
    • Directory: task's work directory or folder name when folders are called out (leave this field void if you're not sure what it is for).
    • Object type: type of the object, activated by this hotkey (select the value you need from the list).
    • Window state: state of the task window when it's started (Default, Minimize or Maximize).
    • Hotkey: defined key combination. In order to add it just place cursor into the field and press the hotkey. Del and Backspace keys make the field clear.
    • Enable/Disable: temporarily Enable (Disable) the action, perfromed by a hotkey.

    ! You can select one of the following key combinations when defining hotkeys: Ctrl+[key], Alt+[key], Ctrl+Alt+[key], Ctrl+Shift+[key], Alt+Shift+[key], Ctrl+Alt+Shift+[key], and also Win+[key] and any combination of Win with Ctrl, Alt, Shift. Setting [key] or Shift+[key] sequences as hotkeys is impossible (as it will most probably cause conflicts with other applications).

    Delete

    Deleting the action, started by a hotkey.

    Properties

    Selected action's properties. The configuration dialog is identical to the one, which appears on pressing the Add button.

    Other

    Toolbar emerging delay

    Toolbar emerging delay:

    • level 1: time (in milliseconds), passed from moving your cursor to the screen edge to Toolbar sliding out. So, the lower is the value, the faster it will appear, but the more is possibility of calling the Toolbar by accident.
    • levels 2,3: time (in milliseconds), passed from the moment of pointing at the first (second) level Toolbar item to sublevel item's sliding out.

    Display hints for Toolbars elements

    Displays tooltips when pointing the Toolbar icon with the mouse.

    Warn on invalid Startup links

    Displays popup warnings when it's impossible to start certain autorun items.

    Disable Win and Ctrl+Esc keys (NT & ME only)

    Disables Win and Ctrl+Esc (the analogue of Win for calling the Start menu) keys in Windows ME/NT/2000/XP/2003.
    ! This option doesn't work in Windows 98.

    Multimedia keyboard support for Aston

    Enables support for multimedia keyboards in Aston.
    ! In order for this option to work correctly, make sure you have a keyboard Driver installed and it works correctly.

    Context menu options

    Choose, which options are to be displayed in a popup menu, which appears when you click Aston icon in Tray area:

    • Aston Options: calls out Aston Options dialog.
    • Recycle: rereads all program's settings (this can help when some elements seem to be displayed incorrectly, when finding some visual bugs and so on).
    • Display Setup: calls out the default screen setup dialog.
    • Minimize All: minimizes all windows.
    • Windows arrangement: standard window arranging commands - Cascade, Tile horizontally, Tile vertically.
    • Show Desktop: displays the Desktop (similar to Explorer's Show Desktop command).
    • Setup Tray icons: setting up which Tray icons are displayed when Tray is minimized/maximized.

    Edit Tips.rc

    Press to edit Tips.rc file, which contains "Tips of the day".

    About

    Displays the list of the program's authors on top of the firework effect. Here you can also find the exact version number and your registration name.

    Home page...

    Link to Aston homepage.

    Help...

    Displays this help file.


Themes

Aston lets you customize any aspect of your Desktop.

It's the variety ot Themes that makes using Aston yet more exciting:

Themes for Aston

With the help of Themes you can make your Desktop look exactly the way you need. You also get an opportunty to imitate styles of Desktops of other operating systems: reproduce the look of KDE, OSX, GNOME or even nonexisting Future-OS.

You can get numerous free Themes for Aston on its homepage or third-party sites:

  • Deviantart
  • Skinbase
  • Skinz.org

Once you feel experienced enough for making your own Theme, you should try reading our online skinning tutorial, which touches upon every aspect of Theme creation and is suitable for both novices and professionals.

! Please, note that not all the Themes are made by Gladiators Software members and thus might have separate usage policy/license.
Generally most Themes are free to be used and shared as long as you don't use them commercially, do not distribute their modified versions and don't attribute their creation to yourself (surely, if you're not the original author ;)).


Theme Wizard

Besides customizing your Desktop elements settings, you can change the entire look and feel of your Desktop by means of applying various Themes.

If you have selected a single Theme on our web site and are sure that you'll never ever wish to change it to another, you can actually apply it without using Theme Wizard. The regular way to install a new Theme in Aston 1.9.2 and later versions is the following: just click on the "Download" button under the Theme you like and select "Open with..." option. The Theme will be automatically saved and applied to your Desktop.

But in case you have a few (or lots of) Themes you enjoy and would like to switch between them from time to time, you'll need Theme Wizard.

Theme Wizard has four tabs:

  • Set Theme
  • Icons
  • Save Theme
  • Get more Themes from Aston web site

! The tabs are represented by the corresponding icons, so don't get taken aback when you start Theme Wizard and don't see the tabs titles. They can be seen as tooltips, if you place the mouse pointer over the icons.

Set Theme

Here you can see the list of the Themes you've got. From the version 1.9.2 on all the Themes have previews, which makes their choice much easier. The Description field beside contains some general information about the Theme and its author. Clicking on the preview you select the Theme you need.

Please pay attention to the dropdown under the preview image - here you can select the Theme resolution. There can be either a few resolutions defined, or the field can just say "All resolutions". In the first case you may select the one most fitting your screen resolution, the second case means that the Theme is designed to support a wide range or most popular resolutions.

Theme application

After you've made up your mind which Theme you would like to use, do the following:

  • Click on the Theme preview or its description
  • Select the necessary resolution, if there are several of them in the dropdown
  • Click "Preview" button.
  • You'll get a dialog window asking if you would like to save changes to the Theme you are currently running. If you select "Yes", all the changes you've made to the Theme (changed the wallpaper or Thene elements, re-set the Theme parameters of the plug-ins, etc.) will be saved, and in case you decide to get back to this Theme you'll see it the way you have it now. If you select "No", in case you switch back to this Theme you'll get the configuration, previously saved for it (that means all the changes you have made to the Theme before switching to another one will be lost).
  • If after that you like what you see on your Desktop, start Theme Wizard once again and click "OK". If the Theme is not what you expected it to be, click "Cancel".

Icons

Here you can define the icons which you prefer to use istead of the system ones or the ones pre-defined by the Theme designer.

The Icons tab has 5 sub-tabs:

  • Desktop
  • Folders
  • Drives
  • System
  • Files

Division into these groups makes the search of the icons you'd like to substitute much more convenient.

So, if you would like to change this or that icon from the list, you should find and highlight it (just click on it). After that you'll see two buttons to the right from the icon name - "def" and ">>". Click on the ">>" - thus you'll be able to browse for the icon you are planning to substitute the selected icon with. After you've found what you need, click on "Open".

If you would like to bring back the icon you've changed to another, click on the "def" button.

In the left part of the window you can see the following buttons:

  • Load icons - lets you load some icon set, previously saved as a single catalog. For example, if you don't want to change every single icon after you have switched to a new Theme, you may save them before switching and then re-apply them in the new Theme with the help of this button.
  • Save icons - with its help you can save your current icon set.
  • Restore icons - in case you have changed several icons and would like to change them back to default, you can just click on this button. Alternatively, you can do the same by clicking the "def" button for each changed icon, which will definitely take much more time. :)
  • Cursors... - calls out the regular Windows dialog window for the cursor setup.
  • Rebuild icons - refreshes the icon cache. If you have selected some alternative icons instead of the default ones, but nothing actually changed and your machine still displays the default icons, click on this button.

Save Theme

This tab is needed in case you have created your own Theme and would like to save it with some unique name. The detailed description of the procedure can be found in our Skinning tutorial.

Get more Themes from Aston web site

Clicking on this tab will bring you to the on-line Aston Themes collection.


Online tutorial

Sooner or later many Aston users start thinking about creating their own Themes. Specially for them we have created a comprehensive Skinning Tutorial which can be seen at http://www.astonshell.com/aston/tutorial/.
By following this link you may also find a downloadable ZIPped version.


Plug-ins

Plug-ins greatly increase Aston functionality by adding new features and enhancing your Desktop interface.

All modules are divided into two large groups:

  • General plug-ins. They're often used on Desktop and Taskbar. Plug-in files have PLG extension.
  • Toolbar plug-ins. These modules (like Notepad and CPU load monitor) are used on Toolbars only and have TBP extension.

Installing plug-ins

In order to install a plug-in, follow these steps:

  • Download the module you need and extract the TBP or PLG file to c:\Aston\plugins folder (if you have installed Aston into C:\Aston).
  • For PLG files: Go to Start>Aston options>Plug-ins and hit Add. Select the file you have just extracted and apply it. Then follow the instructions from this document to set up the module.
  • For TBP files: Just add a plug-in item to a Toolbar as described here.

Sharing plug-in settings

You can share your plug-ins' settings with your friends so they could apply them without applying the whole Theme.

In order to do so, follow our hints:

  • Configure your plug-in (apply a skin for it, change fonts, etc...).
  • Go to Start>Aston Options>Plug-ins and select the module from the list.
  • Press Setup plug-in and in the dialog, which appears on the screen, click File>Save settings.
  • Save your settings into a separate folder, then just ZIP them and e-mail/share them with your friend.

In order to apply the settings you have received from someone, just do the following:

  • Extract the settings archive into a separate folder.
  • Go to Start>Aston Options>Plug-ins and select the plug-in you have received settings for.
    ! For successful settings usage both you and the person you have recieved the settings files from should have the same version of the plug-in.
  • Press Setup plug-in and in the dialog on the screen click File>Load settings.
  • Enjoy.

Default plug-ins

Aston Shell is distributed with a set of plug-ins, created by its developers. Even though anyone can create his own plug-in using our open SDK we recommend to use "native" plug-ins if possible rather than ones made by independent developers, as plug-ins made by Gladiators Software are already tested for compatibility and should be more stable.

Here's the list of default plug-ins from Aston 1.9.2 package:

General plug-ins

  • AClock: analog clock with glass effects, antialiased hands and date display
  • aMonitor: simple resource monitor
  • DisksEx: gives you an easy access to disk partitions while visually demonstrating the state of each partition's infill
  • MenuEX: Start button and the Main Menu.
  • Panel: a handy menu, allowing one to effeciantly organize Desktop shortcuts
  • QLaunch: Quick launch replacement
  • RecycleBinEx: Recycle bin, visually demonstrating the state of its infill
  • Search: Basic web search plug-in
  • SkinClckEx: Tray clock with a build-in calendar

Toolbar plug-ins

  • CPU95nt: basic resource monitor
  • NoteBk: notebook replacement with tabbed interface


Plug-in setup

From the version 1.92 Aston provides a better, unified Plug-in configuration interface, which makes it even easier to use them.
Now you only need to use few basic settings or read a bit to make use of some advanced features.

Plug-in Setup dialog usually has the following four tabs:

  • General - for the settings an average user might need to adjust like position, transparency, etc...
  • Fonts and Colors - for adjusting everything related to the plug-in's text output like label font and colors, text align, etc...
  • Skin - just like a previous section, this one is only targeted on Theme and skin developers, letting one change the skin's graphics
  • Misc. - miscellaneous settings, mostly targeted on experienced users and mostly covering fine-tuning

While most options' names are easily understandable few of them require some explanation:

Z-Order

Z-order is a plug-in's "height" on the Desktop i.e. a relative level to other windows. One can usually choose one of the following values:

  • Desktop - the plug-in is placed direcly on the Desktop so it can easily be covered by any opened windows.
  • Normal - the plug-in behaves like an ordinary window and might be hidden by some of them.
  • Always on top - the plug-in is located on the very top of all windows and is always visible.

Lock mode

Lock mode sets the way the plug-in's window can be moved or displaced. Typical values are:

  • Unlocked - you can freely move the plug-in's window by dragging it with your mouse.
  • Lock window - you cannot displace the window with your mouse, however you can do this while holding Shift during dragging.
  • Hide on mouse over - the plug-in's window hides when you place your mouse pointer over it. If you wish to temporarily disable this behaviour, hold Shift while pointing.
  • Ghost mode - the most interesting of all Lock modes. "Ghosted" plug-in's window is completely transparent for all user actions i.e. one could easily click "through" it. With Transparency set to a certain value and Z-Order set to Always on top it's especially useful for making plug-ins like Aston Clock to be easily read anytime. You can also temporarily disable this behavious by holding Shift while clicking.

User-defined date and time formats

In certain cases you may need to change prefedined date or time values to your own ones. While formatting custom date and time values field values you should know that:

  • Most symbols, including spaces is displayed as is, so "19 :20" would be displayed like "19 :20", but the value won't change.
  • In order to insert correct changeable date and time you'll have to use the following special symbol sequences :
    ! The case does matter here!
  • d - date, one digit (i.e. "1" for the February 1, 2007)
  • dd - date, two digits (i.e. "01" for the February 1, 2007)
  • ddd - day of the week, short (i.e "Th" for the February 1, 2007)
  • dddd - date, full (i.e. "thurdsay" for the February 1, 2007)
  • M - mohtn number, one digit (i.e "2" for the February 1, 2007)
  • MM - month number, two digits (i.e. "02" for the February 1, 2007)
  • MMM - month name, short (i.e. "feb" for the February 1, 2007)
  • MMMM - month name, full (i.e. "February" for the February 1, 2007)
  • y - year, one digit (i.e. "7" for the February 1, 2007)
  • yy - year, two digits (i.e. "07" for the February 1, 2007)
  • yyyy - year, full (i.e. "2007" for the February 1, 2007)

  • hh - hour, in 12 hour format, no leading zeros (i.e. "8" for both 8 AM and 8 PM)
  • 2h - hour in 12 hour format, with leading zeros (i.e. "08" for 8 AM and "08" for 8 PM)
  • HH - hour in 24 hour format, no leading zeros (i.e. "8" for 8 AM and "20" for 8 PM)
  • 2H - hour in 24 hour format, with leadinz zeros (i.e. "08" for 8 AM and "20" for 8PM)
  • mm - minutes, no leading zeros (i.e. "5" for 22:05:03)
  • 2m - minutes, with leading zeros (i.e. "05" for 22:05:03)
  • ss - seconds, no leading zeros (i.e "3" for 22:05:03)
  • 2s - seconds, with leading zeros (i.e. "03" for 22:05:03)
  • t - short AM/PM display (A or P only)
  • tt - full AM/PM display

Example: 2h:2m:2s tt (ddd, d MMM yyyy) is displayed like 7:05:7 (Thu, 1 Jan 2002)

Skinning plug-ins

For details on plug-in skinning, refer to our online tutorial.


Questions and troubleshooting

Welcome to the support center. Please, make sure you have read this document before asking any questions or writing to support.

Frequently Asked Questions (FAQ)

You are sure to find the answers to most of your questions in this document.

You can also check our online FAQ in order to get more information.

Registration

This online document should answer most of your registration related questions.

Lost registration key

If you have lost your registration key or have decided to change your registration/contact e-mail, please fill out this online form.

Problem reporting guide

If you haven't found the answer to your question above, you may contact our technical support team or ask your question in forums.

But first of all make sure you have done the following:

  • Performed a virus and malware scans and your system is free of viruses or troyans (which could cause the problem you're trying to solve).
  • Upgraded Aston to the latest stable version.
  • Searched forums for a possible solution (probably other people have already had the same problems and found the way out).

If you're still unable to get the right answer, then feel free to contact support or to inquire for the necessary information in forums.

In any case, please, provide us with the comprehensive information about your system:

  • Version of Aston (Richt-click Aston tray icon>About)
  • Your processor, amount of RAM and operating system version (richt-click My computer and select Properties>General)


FAQ

Installing Themes
  • I like the Themes on your site, but I download files and don't know what to do with them.
  • How can I install a new Theme?
  • I've installed a Theme but it doesn't look like the one on the screenshot.
  • Aston says, that plug-in ***** is missing.
Registration information and the trial version
  • I've lost my serial numer. How can I restore it?
  • I've applied my serial number and restarted the computer, but Aston is still unregistered.
  • I've been using Aston for only two days, but the trial period seems to be expired. What has happened?
  • I purchased Aston yesterday, but still haven't got my registration key.
  • Can I get Aston for free?
  • Can I register Aston on my laptop/my computer at work with the same key I've used for its registration on my home PC?
  • Can my brother (grandmother, favorite golden fish, etc..) use Aston on my computer?
Troubleshooting
  • A message like this appeared after Windows9x/ME restart: "Windows cannot find ...\aston.exe. You must reinstall Windows". What is to be done?
  • I've removed Aston from my computer and now on each boot I get an empty Desktop without any icons. Please, help me to fix this.
  • I want to switch back to the default Windows shell.
  • When I return to Explorer after using Aston shell, the cursor sometimes remains the same as the one used in Aston. How can I change it back?
  • When starting Explorer I get a message: "My Computer or Windows Explorer has not been properly initialized yet. Try again later". Or the second IE4-6 copy (process) doesn't start.
  • Why does cursor blink when it points to an animated icon?
  • My video player (TV tuner, game) doesn't seem to work correctly when running Aston but everything is OK when I switch back to Explorer.
  • I have a problem ****, help me!!!!
  • Some program or driver works incorrectly with Aston.
  • How to implement multi-user support on Windows 9X?
  • Aston doesn't work on Windows 2003!!!!! What can I do?
  • Is Aston compatible with a 64bit system?
Features and interface
  • I can't place files or folders on Aston Desktop. Please, fix this bug.
  • Why can't I remove Aston Desktop icons to the Recycle Bin?
  • How do I access my old Windows Desktop?
  • How can I install a new plug-in?
  • I want Flash animation on Aston Desktop.
  • Why doesn't the "Show Desktop" feature work the same way it works with Explorer?
  • Does Aston work with multiple monitors?
  • How do I stop task buttons on the Taskbar from stretching?
  • How do I uninstall Aston?
Misc. questions, general Aston-related questions
  • Will Aston ever become freeware/opensource?
  • Would you make me a Theme **** ?
  • Would you make me a plug-in **** ?
  • How can I make a Theme?
  • How do I write a plug-in?
  • What language is Aston written in?
  • Is Aston really that fast?
  • What languages does Aston support?
  • Will there be Aston 2?
  • When do you plan to release a new version? I want it now!
  • Will there be a Linux version?

Installing Themes

Q: I like the Themes on your site, but I download files and don't know what to do with them.
A: In order to use Themes you should first get a copy of Aston. You can download it here.

Q: How can I install a new Theme?
A: Extract the Theme's archive into %aston%\themes\your_theme's_name. Run Aston and launch the Theme Wizard from the Start Menu. Select the desired Theme from the list, check its options and click Preview. If you wish to use the Theme, click OK, otherwise, press Cancel. Alternatively you can double click the TFA file of a theme in %aston%\themes\your_theme's_name folder, but your current Theme's settings might be lost.

Q: I've installed a Theme but it doesn't look like the one on the screenshot.
A: Here're some most common suggestions:

  • make sure the necessary plug-ins are enabled (Aston Options>Plug-ins)
  • some additional plug-ins might be used in the Theme (see the corresponding section on Aston website)
  • the Theme designer might have used some third party applications, like Rainlendar, Rainmeter, Sysmetrix or Kapsules.
  • if nothing helps, contact the Theme designer.

Q: Aston says, that plug-in ***** is missing.
A: Try to look for it in the plug-in section of Aston website.

Registration information and the trial version

Q: I've lost my serial numer. How can I restore it?
A: Please, follow this link.

Q: I've applied my serial number and restarted the computer, but Aston is still unregistered.
A: Please, make sure you're using a valid serial number. If you have a legal registration key and still have troubles with its application, please, send us the description of your problem as well as the name and e-mail address you used to purchase Aston.

Q: I've been using Aston for only two days, but the trial period seems to be expired. What has happened?
A: The protection system has been activated. Even if you don't use illegal keys for Aston, this could happen due to the system time tweaking. We're currently working on the solution of this problem.
! Please, do not adjust system date and time while using the trial version of Aston.

Q: I purchased Aston yesterday, but still haven't got my registration key.
A: Please, be patient as in some cases the company managing registrations requires some time to process your order. If you haven't got your key in a reasonable period of time, feel free to write us.

Q: Can I get Aston for free?
A: Yes, you can. But it might turn out to be not that easy. Please, read this information for details.

Q: Can I register Aston on my laptop/my computer at work with the same key I've used for its registration on my home PC?
A: Yes. But only for your own accounts.

Q: Can my brother (grandmother, favorite golden fish, etc..) use Aston on my computer?
A: Yes, as long as you share the same PC. In order to use Aston on their own computers they must purchase a separate copy.

Troubleshooting

Q: A message like this appeared after Windows9x/ME restart: "Windows cannot find ...\aston.exe. You must reinstall Windows". What is to be done?
A: Do not reinstall anything. Just set the correct path to the shell in system.ini file (while booting in MS-DOS mode).
You can do it like this:

  1. Reboot in MS-DOS mode (press and hold down F8 or Ctrl when booting), choose Command Prompt Only or
  2. Use the bootable diskette or CD-ROM to start MS-DOS.
  3. Start SHSwDos.exe from Aston folder (usually c:/aston, you can just try typing c:/aston/shswdos.exe), choose Explorer or Aston. Reboot.

or

Edit %windowsdir%\system.ini file, find [boot] section. In the line shell= write the correct path to the existing shell, for example: shell=explorer.exe. Save the file and reboot. Do not remove Aston while using Aston as a shell! Switch back to Explorer, then use Add/Remove Programs option of Control Panel.

Q: I've removed Aston from my computer and now on each boot I get an empty Desktop without any icons. Please, help me to fix this.
A: You must not uninstall Aston by removing its folder manually. Instead, use Shell Swapper item from the Start Menu, set Explorer as a shell, logoff and use Add/Remove Programs Control Panel component to uninstall Aston. In the case described above we recommend you to install Aston and then properly uninstall it.

Q: I want to switch back to the default Windows shell.
A: Run Shell Swapper from Aston Start Menu and set Explorer as a shell. Alternatively run %Aston%\Shswdos.exe in MS-DOS mode.

Q: When I return to Explorer after using Aston shell, the cursor sometimes remains the same as the one used in Aston. How can I change it back?
A: When switching to Explorer make sure that you've marked in the check-box Restore system colors, cursors, icons, etc in Shell Swapper (Start>Shell Swapper). In case the problem remains, go to Start>Settings>Control Panel>Mouse>Printers and set the needful cursor scheme in the Scheme field.

Q: When starting Explorer I get a message: "My Computer or Windows Explorer has not been properly initialized yet. Try again later". Or the second IE4-6 copy (process) doesn't start.
A: Start Shell Swapper from the Start Menu and mark in the check-box Create new process for each Explorer window. If using Internet Explorer version 4 to 6, leave the check-box Don't open IE windows in the Aston process void. This allows to run multiple instances of Explorer.

Q: Why does cursor blink when it points to an animated icon?
A: This might be a problem with your video card. Try updating its drivers and if that doesn't help, use two-color (black and white) cursors.

Q: My video player (TV tuner, game) doesn't seem to work correctly when running Aston but everything is OK when I switch back to Explorer.
A: Most probably this has been caused by transparent elements of Aston. Try using a simple Theme without transparent elements, like Aston Desktop (installed by default). Moreover, from Aston 1.9.2 you can disable transparency for all elements by means of enabling the corresponding option in Aston Options dialog. Alternatively go to Start>Aston Options and disable (set to 0) transparency for the Taskbar, Toolbars and plug-ins manually.

Q: I have a problem ****, help me!!!!
A: Please, read this forum post about sending proper request to support.

Q: Some program or driver works incorrectly with Aston.
A: First, look if this program should not work with Aston. As a rule this concerns Windows Explorer enhancements like wallpaper changers, Systray clocks, etc. Necessarily check if this program works with Explorer Shell. So, if the problem does not disappear, contact that program's author. Otherwise, contact support.

Q: How to implement multi-user support on Windows 9X?
A: Try doing it like this:

  1. Make a different folder for every user. Place Aston.exe, A-master.exe, printmon.exe, starter.dll, hook.dll, *.rc files there.
  2. Change configuration files the way described below:

===============Config.sys===============
[MENU]
MENUITEM=User1,User-Nick
MENUITEM=User2,User-Oleg
MENUITEM=User3,User-Bill

[User1]
[User2]
[User3]
[Common]
...
=======================================
==============Autoexec.bat==============
...
goto %config%
:User1
C:\Aston\SHSWDOS.EXE -fc:\Aston\Aston.exe
goto end
:User2
C:\Aston\SHSWDOS.EXE -fc:\Aston1\Aston.exe
goto end
:User3
C:\Aston\SHSWDOS.EXE -e
:end
=======================================
Now user Bill will run Explorer.

Q: Aston doesn't work on Windows 2003!!!!! What can I do?
A: It works. Just do the following: press Start>Shell Swapper and set Explorer as a shell. Then go to Start>Settings>Control Panel>System>Advanced>Performance Options>Data Execution Prevention and choose Turn on DEP for all programs and services except those I select and mark in "Aston" check-box in the list. Then reboot.

Q: Is Aston compatible with a 64bit system?
A: The compatibility with the existing version of Aston is quite problematic. But Aston 2 will support it for sure.

Features and interface

Q: I can't place files or folders on Aston Desktop. Please, fix this bug.
A: "It's not a bug, it's a feature" ©. Actually, Aston offers a better way of organizing data than Windows Desktop. You can't put files on Aston Desktop, but you won't lose these files in case you have to reinstall your system and your Desktop won't turn into a file garbage. If you need a temporary place to keep your files, use any folder you wish, and if you need a fast access to certain files or folders you can create links to them on the Desktop or any launch panel. In quite a short period of time you'll realize, that this approach is really effective.

Q: Why can't I remove Aston Desktop icons to the Recycle Bin?
A: This time the Recycle Bin is for files only.

Q: How do I access my old Windows Desktop?
A: Use Start>Desktop Folder menu or create a link to the Desktop folder manually. You can also place icons from Explorer Desktop to Aston's one by doing the following: Start>Aston Options>Desktop>Settings and click Get Explorer icons.

Q: How can I install a new plug-in?
A: For Desktop plug-ins (*.PLG) go to Start>Aston Options (or press Ctrl+Alt+F12), then to Plug-ins>Add and select the necessary plug-in (you might need to extract it from the archive first). Toolbar Plug-ins (*.TBP) can be installed by adding a new plug-in item to Toolbars.

Q: I want Flash animation on Aston Desktop.
A: Flash is quite a resource heavy application, which doesn't fit the principle of Aston being lightweight. In most cases ANK files give you as much power for creating complex animation effects as Flash.

Q: Why doesn't the "Show Desktop" feature work the same way it works with Explorer?
A: You are able to create something that will work very similar to the Explorer version of Show Desktop:

  1. Open Notepad
  2. Type or copy and paste the following text:
    [Shell]
    Command=2
    IconFile=explorer.exe,3
    [Taskbar]
    Command=ToggleDesktop
  3. Save the file with a SCF extension. (Example: Show_Desktop.scf)
  4. Create a shortcut to your SCF file in the Quicklaunch, or wherever you like. When the SCF file is executed, all the windows will be minimized.

Q: Does Aston work with multiple monitors?
A: Aston 1.9.2 has a build-in support for multimonitor set.
For Aston 1.9.1 check this link for the solution.
Aston 2 will have native support for multiple displays.

Q: How do I stop task buttons on the Taskbar from stretching?
A: There is no way to change this behavior for a horizontal taskbar. It's just the way it's made. We hope you'll get used to their slightly different appearance (many people actually think it's more natural). You can still control the taskbar item width if you switch to one of the vertical taskbar themes - and you can even have a picture on the taskbar.

Q: How do I uninstall Aston?
A: Do the following: while running Aston go to Start>Shell Swapper>Explorer>%Username%, tick Restore... and Logoff... fields, then press OK. After you have logged off in Explorer go to Start>Settings>Control Panel>Add/Remove Programs and uninstall Aston. If you don't have Aston in the list, then feel free to remove its folder manually.
! Do not remove Aston folder while running it or while it is set as a default shell.

Misc. questions, general Aston-related questions.

Q: Will Aston ever become freeware/opensource?
A: No. We believe, that the only way to keep Aston the way it is now is to keep it being developed by a certain group of professional programmers. If you want a free opensource shell, try using Litestep. If you just want to add more features to Aston, try using our open plug-in SDK, which has sources of some plug-ins. In certain cases we may consider making sourcecode of other plug-ins available to the third party developers.

Q: Would you make me a Theme **** ?
A: The short answer is "No". Most professional Theme designers are too busy to spend their time on side projects, but you could try to contact them with commercial offers or to look for volunteers in forums. But we suggest that you should make a Theme yourself: it's really not that hard.

Q: Would you make me a plug-in **** ?
A: You can post a request to forums and maybe you'll find a volunteer for it. Some frequently requested plug-ins are also made by Gladiators Software members and included into Aston releases.

Q: How can I make a Theme?
A: Please, read this tutorial. It's comprehensive enough to give you all the necessary information.

Q: How do I write a plug-in?
A: Feel free to download and use Aston plug-in SDK.

Q: What language is Aston written in?
A: Aston code is written in Delphi using pure WIN32 API with some plug-ins rewritten in C++.

Q: Is Aston really that fast?
A: Aston is known to run on old Pentium I computers with 32 Mb RAM without any speed penalty (in this case you might need to switch to some basic Themes like Aston Desktop, as modern ones require more computing power). No similar program of that kind shows such results. You can enable or disable certain shell functions in order to reach balance between speed and appearance/additional functionality, but in any case Aston won't slow your computer down.

Q: What languages does Aston support?
A: There are two versions of Aston nowadays: English and Russian. But in the coming Aston 2 there will be an opportunity to translate its interface into any language you wish.

Q: Will there be Aston 2?
A: Instead of keeping on the line of Aston 1.9X we have launched a completely new project, codenamed "Aston 2". It's based on a completely new core, written in C++ and will have numerous unique features. More information will be given when the project reaches beta stage. Before that don't even ask for any details.

Q: When do you plan to release a new version? I want it now!
A: Be patient. A new version will appear as soon as we complete and polish it. We may also release public beta versions which would demonstrate some features of the new product.

Q: Will there be a Linux version?
A: Most probably, not. Linux users already have a large number of good free shells to choose from. Support for other non-Windows operating systems in not planned either.


Registration

Aston is shareware. That means that you must register the program before the trial period expiry or stop using it.

Registration benefits:

  • No time limitations: you may use the program even after the trial period is over
  • No nag screens: you won't see any nag screens in the registered version of Aston
  • Free LIFETIME upgrades: get all versions of Aston 1.X for free, no update/subscription fee
  • Free technical support by e-mail
  • Special offers and discounts
Register Aston Shell

You can also refer to our Registration page for more detailed information.

Free registration

You can also become a legal user of Aston without paying a single cent for it. In order to get a free registration key you'll have to do one of the following things (as stated in our free key distribution policy):

  • Create a custom Theme and upload it to our site. But before make sure your theme fits the following criteria:
    • Your theme must be unique, it cannot be a derivative of any existing Aston Shell theme.
    • You must skin at least these items:
      • Wallpaper
      • Both Toolbars
      • Taskbar/Tray (all the states)
      • Start button and Main menu, Quick launch
      • Panel plug-in
      • Adding custom cursors, icons and skinning additional plug-ins is welcome.
    • If porting an existing theme to Aston you must provide us with a written permission of the original author.
    • The same concerns any third-party graphics: it cannot be used without written permission.
    • It must not be buggy (refer to the tutorial for more details).
    • It must have some aestetic value (it's up to us to decide if it does).
  • Create a custom plug-in and upload it to our site. The plug-in must meet the following requirements:
    • Do something useful (look for ideas in our forums).
    • Work (i.e not just crash the shell and/or consume resources).
  • Do something useful for Aston community. Just look at this document for more information.


License agreement

License
ASTON - PRODUCT LICENSE INFORMATION

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE
OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE")
CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO
THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS
SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE
BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT.
Oleg Bulychov and Nick Egorov (Gladiators Software) grants you a
license to use one copy of this SOFTWARE on any one
system for as many licenses as you purchase. "You" means the
company, entity or individual whose funds are used to pay the
license fee. "Use" means storing, loading, installing, executing or
displaying the SOFTWARE. You may not modify the SOFTWARE or disable
any licensing or control features of the SOFTWARE except as an
intended part of the SOFTWARE's programming features. When you first
obtain a copy of the SOFTWARE, you are granted a program with some
limitations. To release those limitations you must pay for the
SOFTWARE according to the terms and prices discussed in the
SOFTWARE's documentation. This license is not transferrable to any
other system, or to another organization or individual. You are
expected to use the SOFTWARE on your system and to thoroughly
evaluate its usefulness and functionality before making a purchase.
This "try before you buy" approach is the ultimate guarantee that
the SOFTWARE will perform to your satisfaction; therefore, you
understand and agree that there is no refund policy for any purchase
of the SOFTWARE.

If you accept the terms and conditions of this license agreement,
you have certain rights and obligations as follow:

YOU MAY:
- Install and use one copy of SOFTWARE on a single computer.
- Install a second copy of the SOFTWARE on a second computer only if
you are the main user of this computer (laptop for example).
- Create one copy of SOFTWARE for backup purposes.

By purchasing this SOFTWARE you obtain a right to get all of its
future versions and updates free of charge.

YOU MAY NOT:
- Sublicense, rent or give to temporary use this SOFTWARE without a
written permission of GS.
- Change algorithm, decompile, disassemble, modify, translate or
make attempts to reveal this SOFTWARE's source code.
- Make this SOFTWARE a basis of your own creations or software.
- Take payment for distribution of this SOFTWARE.
- Include this SOFTWARE into any other software products.
- Use this SOFTWARE on more, than one computers.
- Give your license key to other person.
- Upload or transmit the SOFTWARE, or any portion thereof, to any
electronic bulletin board, network, or other type of multi-use
computer system regardless.

2. OWNERSHIP.
The SOFTWARE is owned and copyrighted by Gladiators Software. Your
license confers no title or ownership in the SOFTWARE and should not
be construed as a sale of any right in the SOFTWARE.

3. COPYRIGHT.
The SOFTWARE is protected by Russia copyright law and
international treaty provisions. You acknowledge that no title to
the intellectual property in the SOFTWARE is transferred to you. You
further acknowledge that title and full ownership rights to the
SOFTWARE will remain the exclusive property of Gladiators Software
and you will not acquire any rights to the SOFTWARE except as
expressly set forth in this license. You agree that any copies of
the SOFTWARE will contain the same proprietary notices which appear
on and in the SOFTWARE.

4. THEME COPYRIGHT.
All graphics are considered the property of the Theme Author.
Gladiators Software does not assume any ownership of user submitted
materials. All media contained within Aston Themes are copyright
the respective Theme Author. Any unauthorised use is forbidden
without the express consent ot the Theme Author.

5. REVERSE ENGINEERING.
You agree that you will not attempt to reverse compile, modify,
translate, or disassemble the SOFTWARE in whole or in part.

6. NO OTHER WARRANTIES.
GLADIATORS SOFTWARE DOES NOT WARRANT THAT THE SOFTWARE IS ERROR
FREE. GLADIATORS SOFTWARE DISCLAIMS ALL OTHER WARRANTIES WITH
RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME
JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR
LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE
EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO
THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS
WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER
RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

7. SEVERABILITY.
In the event of invalidity of any provision of this license, the
parties agree that such invalidity shall not affect the validity of
the remaining portions of this license.

8. NO LIABILITY FOR CONSEQUENTIAL DAMAGES.
IN NO EVENT SHALL GLADIATORS SOFTWARE OR ITS SUPPLIERS BE LIABLE
TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT
DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE
OF THE SOFTWARE, EVEN IF GLADIATORS SOFTWARE HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL GLADIATORS SOFTWARE'S
LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER
THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

9. ENTIRE AGREEMENT.
This is the entire agreement between you and Gladiators Software
which supersedes any prior agreement or understanding, whether
written or oral, relating to the subject matter of this license.

Copyright (c) 1999-2006 Gladiators Software


Our products

Aston is not the only program we have made. Please, take a look at our other applications:

AltDesk

  • Product's page: http://www.astonshell.com/AltDesk

AltDesk is a Virtual Desktop Manager for Windows, which makes your daily work easier.

AltDesk, Virtual Desktop Manager

Modern computers' power is enough to let you run numerous applications at the same time. You can surf the Internet, listen to the music and chat with your friends at the same time, but the more tasks you launch, the harder it gets to manage them. That's when you might start thinking of getting the second monitor. AltDesk gives you a better choice. It creates several Virtual Desktops you can easily switch. Switching from an office application to your favorite Internet browser can be done in a blink of an eye without maximizing and minimizing numerous windows manually or switching them by means of the Taskbar. With AltDesk you can create as many Virtual Desktops as you want and switch them with ease. You don't even need to remember, where you've put a certain application's window as its icon is displayed by AltDesk. You can also easily swap tasks between Desktops, using Drag and Drop.

A brief list of AltDesk features includes:

  • Easy task managing
  • Simple, user-friendly interface, translated into more than 40 languages
  • Little resource consumption
  • Hotkeys for any actions
  • Skins for changing the program's appearance
  • Reliablity: even in case of a failure you'll be able to recover the lost application's window.
  • Numerous advanced features, like setting unique wallpapers for each Virtual Desktop, sticky apps, autorun and so on.

We made AltDesk for ourselves and we did our best to turn it into the world's best Virtual Desktop manager. We were the first to bring Windows users numerous features they missed. Now many competing products just clone AltDesk: isn't it a proof of its superiority?

Aston Secure Desktop

  • Product's page: http://www.astonshell.com/astonsecuredesktop/

Aston Secure Desktop is a security build of Aston 1.x branch. It possesses all the features of regular Aston shell, but constrains the ability to alter the admin-defined settings.

Aston Secure Desktop

This restricted version is highly recommended to Internet-cafes and kiosks administrators, colleges and companies authorities, and parents willing to find their Desktop settings unaltered after their kids incursions. This is also a perfect way out in other situations when users' ability to customize their working area needs to be limited.

Aston Secure Desktop has two modes - User mode and Admin mode. In order to switch to Admin mode one needs to press a hotkey combination and enter a password. This gives the authorized person the ability to define the content of the Start Menu, Quick Launch, Toolbars and Panel, and also the set of the application icons located on the Desktop. Administrator can also define the list of the permitted apps and programs. No context menus, no support for "drag'n'drop", the system date or time cannot be adjusted from the User mode. Access to the "screen setup" (Aston Option) dialog is prevented. This can be done both for one machine or for dozens of them - Admin can simply configure the shell at one computer and copy the settings to all the PCs.

With Aston Shell Secure Desktop you get a restricted but still beautiful and powerful desktop enhancement. It no way limits the comfort and attractiveness of regular Aston.

Star Blaze

  • Product's page: http://www.astonshell.com/starblaze

Star Blaze is a classic "kill'em all" scrolling arcade game, featuring modern graphics, sound and hardcore gameplay.

Just sit down, start the game, choose your spaceship, give it firepower and feel the adrenaline, just like in old good times. We promise, you won't feel bored. Oh... do you prefer numbers?

Here they go:

  • Modern 32 bit graphics with great FX and skeletal animation.
  • 24 unique game levels, organized into 4 episodes.
  • 80 enemy types plus bosses at the end of each level.
  • 4 ships to choose from plus numerous weapon upgrades and power-ups.
  • Nice looking and friendly UI, which gives you total control over your ship.
  • Single or two players mode: invite a friend and double the firepower.
  • Original atmospheric soundtrack.

Still don't feel satisfied? Just take a look at the screenshots or download a demo and see it yourself.

Fox hunting (FREEWARE)

  • Product's page: http://www.astonshell.com/freeware/foxhunting/

Minesweeper-like game with slightly different rules and exciting gameplay.

Are you a minesweeper fan? Then you've got to check out this game. Absolutely new idea. Nice interface.

The game field is divided into cells and has 10 cells vertically and horizontally. There can be 4 to 9 foxes depending on the complexity level. Foxes do not leave their holes (i.e. cells).

You can check any cell by clicking any mouse button. The digit, which appears in the cell, indicates the number of foxes you can see in the cell. As shown in the picture, there are eight possible directions (vertical, horizontal and diagonal).

The bottom panel shows the number of movements made and the number of foxes not detected yet. You make a movement clicking on a cell. There can be more than one fox in the same hole and in order to trap them all you have to click on the cell again. The point of the game is to catch all the foxes at a minimal number of movements.